httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From do...@osf.org (Doug MacEachern)
Subject Re: Error Compiling perl-moduls on Linux
Date Fri, 31 May 1996 14:09:14 GMT
At 07:45 AM 5/31/96 +0200, new-httpd@hyperreal.com wrote:
>
>I've just tried to compile the perl_moduls on Linux (Slackware 3.0,
>Kernel 1.3.52), gcc-2.7.2, perl5.002_01, apache_1.1b2, mod_perl-0.60a2.
>There seems to be a problem parsing perl.h  with the type bool:
>
>
>gcc -I`/opt/vsia/bin/vperl -MConfig -e 'print "$Config{archlib}/CORE"'`
-I/usr/l
>ocal/include -c -O2 -DLINUX perlxsi.c
>In file included from perlxsi.c:6:
>/opt/vsia/lib/perl5/i586-linux/5.00201/CORE/perl.h:877: parse error before
`Perl
>_nomemok'
>
>
>On Solaris 2.5 with same gcc,apache,  perl & mod_perl versions everything
>compiled without problem.
>
>
>Has anybody else noted the same problems on Linux?
>
>Thanks for hints,

It looks like macros are stepping on each others toes.
This is strange, perlxsi.c pulls in the same header files as perlmain.c
does, but perl compiled for you.

What happened when you ran 'make test' before installing the Devel::embed
module?  It would be much simpler to go from there.

-Doug

>
>Thomas Oettli
>
>
>


Mime
View raw message